
.product-quantity .quantity{
	display: inline-block;
	position:relative;
}

.quantity input{
	appearance: textfield;
	background: #fff;
	box-shadow: none;
	color: currentcolor;
	font-size: 1rem;
	font-weight: 300;
	line-height: 1;
	margin: 0px;
	width: 4rem !important;
	height:2.4rem !important;
	border-radius: 0.5rem;
	padding: 1rem;
	text-align: center;
	vertical-align: middle;
	border: 2px solid var(--color-4) !important;
}


.qty-btn{
	position:absolute;
	height:50%;
	text-align: center;
	line-height: 1.3;
	cursor:pointer;
	right: 0.4rem;
	font-size:0;
}


.qty-btn.plus{
	top:0;
}

.qty-btn.minus{
	bottom:0;
	z-index:2;
	width: 0.7rem;
	height: 0.7rem;
	bottom:0.4rem;
}
.qty-btn.plus{
	width: 0.7rem;
	height: 0.7rem;
	top:0.4rem;
}

.qty-btn.plus:before{
	content:'';
	background-image:url('../img/arrow-black.svg');
	top:0;
	left:0;	
	position:absolute;
	width: 0.7rem;
	height: 0.7rem;
	transform: rotate(90deg);
	background-repeat: no-repeat;
}


.qty-btn.minus:before{
	content:'';
	background-image:url('../img/arrow-black.svg');
	bottom:0;
	left:0;	
	position:absolute;
	width: 0.7rem;
	height: 0.7rem;
	transform: rotate(270deg);
	background-repeat: no-repeat;
}


.qty-btn.minus:hover, .qty-btn.plus:hover{
	background-color:var(--color-3);
	color:#fff;
}

@media(max-width:991px){
	.cart-popup{
		width:100%;
		
	}
	
}


@media(min-width:992px){
	.cart-popup{
		width:1000px;
	}
	
}



.cart-popup{
	position:fixed;	
	top:0;
	right:0;
	max-width:100%;
	height:100%;
	background-color:#ffffff;
	z-index:999999999999999999;
	margin-right:-110%;
	transition:all 1s ease-in-out;
	overflow-x: hidden;
	overflow-y: auto;
}




@media(max-width:768px){
	
	.cart-popup{
		transition:all 0.5s ease-in-out;
	}
}

.cart-widget .woocommerce-cart table.cart span, .cart-widget .woocommerce-cart table.cart p{
	font-size: 1rem !important;
}



.cart-popup .close:before, .category-product-menu-wrapper .close:before{
	content:'';
	background-image:url(../img/close.svg);
	background-size:100%;
	height: 2rem;
	width: 2rem;
	display: block;
}


.cart-popup .close, .category-product-menu-wrapper .close {
	position:absolute;
	right:1rem;
	top:1rem;
	height: 2rem;
	width: 2rem;
	text-align: center;
	line-height: 1.1;
	text-decoration: none;
	border: 0;
	opacity: 1;
	background-color:white;
	cursor:pointer;
	z-index: 2;
}




.category-product-menu .category-product-menu-item{
	box-sizing: border-box;
	width: 100%;
	margin: 0;
	outline: 0;
	line-height: normal;
	padding: 1.2rem;
	border-radius: 0.5rem;
	background-color: #fff;
	font-size: 1rem;
	border: 1px solid var(--color-2);
	color:rgba(108, 108, 108, 1);
	cursor:pointer;
	position:relative;
}

.category-product-menu .category-product-menu-item:after{
	content: '';
	background-image: url(../img/arrow-black.svg);
	background-repeat: no-repeat;
	background-size: 100%;
	position: absolute;
	top: 0.4rem;
	right: 0.8rem;
	width: 1.3rem;
	height: 2rem;
	z-index: 999999;
	transform: rotate(180deg);
}

.cart-widget .product-quantity{
	color: #163254;
}

@media(max-width:767px){
	.category-product-menu-wrapper{
		position: fixed;
		top: 0;
		right: 0;
		max-width: 100%;
		height: 100%;
		background-color: #ffffff;
		z-index: 999999999999999999;
		margin-right: -110%;
		transition: all 1s ease-in-out;
		overflow-x: hidden;
		overflow-y: auto;
		padding:1rem;
	}
	
	
}




.cart-popup .product-thumbnail img, .shop_table .product-thumbnail img{
	width: 100% !important;
}




@media(max-width:768px){
	.cart-widget .product-thumbnail, .shop_table .product-thumbnail{
		
		display:block !important;
		text-align:center;
	}
	
	.cart-widget .product-thumbnail a, .shop_table .product-thumbnail a{
		text-align:center !important;
	}
	
	.cart-widget .product-thumbnail img, .shop_table .product-thumbnail img{
		
	}
	
}


.cart-widget table td {
	padding: 0;
	border: none;
}


.cart-widget .cart_item{
	background-color:var(--color-3);
}

.cart-widget table{
	padding: 1.5rem;
}

.cart-widget .woocommerce table.shop_table td {
	padding: 1rem;
}




.cart-widget .cart_item {
	margin-bottom:1.5rem;
}


.cart-widget .cart_item{
	padding:1rem;
}


.cart-widget .product-price{
	margin:0;
}


.cart-widget .woocommerce-Price-amount .woocommerce-Price-currencySymbol{
	
}




.product-slider .slick-next {
	right: calc(50% - 3rem);
}

.product-slider .slick-prev {
	left: calc(50% - 3rem);
}


.product-slider .slick-arrow{
	bottom:50%;
	transform:translate(0,-50%);
	top: unset;
}


.product-slider .woocommerce-message{
	text-align:center !important;
	display:inline-block;
	margin:1rem 0 0 0;
}



.free-shipping-bar {
    margin-bottom: 20px;
    font-family: inherit;
}

.bar-wrapper {
    position: relative;
    height: 8px;
    border-radius: 4px;
    background-color: #e5e5e5;
	
    margin-bottom: 8px;
}

.bar-fill {
    height: 100%;
    background-color: #1b1e3d;
    transition: all 0.3s ease;
	border-radius: 4px;
}

.bar-knob {
    position: absolute;
    top: 50%;
    transform: translate(-50%, -50%);
    width: 16px;
    height: 16px;
    background-color: #1b1e3d;
    border-radius: 50%;
    pointer-events: none;
	transition: all 0.3s ease;
}
.free-shipping-text {
    font-size: 1rem;
}

.free-shipping-text .woocommerce-Price-amount, .cart-price-content .woocommerce-Price-amount{
	
	font-size: 1rem;
}

.add_to_cart_button:after{
	content:'';
}

.cart-price-content .description{
	font-size:0.9rem;
	color: #6c6c6c;
}

.cart-price-content{
	border-bottom:1px solid #6c6c6c;
}

.add_to_cart_button svg{
	width:2rem;
	height:2rem;
}

.add_to_cart_button:hover svg{
	fill:#ffffff;
}


.custom-cart-alert p{
	margin-bottom:0;
}

.custom-cart-alert {
	position: fixed;
	top: 50%;
	left: 50%;
	transform: translate(-50%, -50%);
	background: white;
	color: var(--color-1);
	padding: 20px 30px;
	border-radius: 12px;
	box-shadow: 0 4px 15px rgba(0, 0, 0, 0.2);
	z-index: 9999999999999;
	font-size: 16px;
	font-weight: bold;
	text-align: center;
}


.woocommerce-form-coupon-toggle{
	display:none;
}




#order_review_heading{
	display:none;
}

.woocommerce-billing-fields h3{
	display:none;
}

.woocommerce-checkout{
	background-color:rgba(246, 246, 246, 1)
}


.woocommerce-billing-fields .form-row.col-md-6, .woocommerce-shipping-fields .form-row.col-md-6 {
    float: left;
    box-sizing: border-box;
}



.create-account-note{
	padding-left:2rem;
	font-size:0.9rem;
}




button#place_order {
	padding: 0.6rem 1.5rem;
	font-size:0.8rem;
    margin: 0 0 0.3rem 0;
    display: inline-block;
    position: relative;
    text-transform: uppercase;
    border-radius: 0.5rem;
    font-weight: 300;
    transition: all 0.3s ease;
    letter-spacing: 0.1rem;
	
	text-decoration:none;
	border: 1px solid #000000;
    color: #ffffff;
    background-color: #000000;
    transition: all 0.3s ease;
	box-shadow:none;
	width:100%;
}

button#place_order:hover {
	background-color: var(--color-btn-link);
	color: #fff !important;
	border: 1px solid var(--color-btn-link);
	
}

.woocommerce-privacy-policy-text p{
	font-size:0.8rem;
	color:var(--color-1)
}


/* Ukryj natywny input */
.woocommerce input[type="radio"] {
    position: absolute;
    opacity: 0;
    pointer-events: none;
}

/* Styl etykiety */
.woocommerce label {
    align-items: center;
    gap: 10px;
    cursor: pointer;
	color:var(--color-1);
}

.woocommerce .radio label {
	display:flex;
}

/* Stylizowany "radio" przez pusty <span> */
.woocommerce input[type="radio"] + span {
    padding-left: 2rem;
	text-align: left;
	display: inline-block;
	line-height: 1.9;
	
	
}


.woocommerce input[type="radio"] + span::before {
	content: '';
	width: 1.5rem;
	height: 1.5rem;
	border: 1px solid var(--color-link);
	position: absolute;
	left: 0;
	top: 0.2rem;
	cursor: pointer;
	border-radius: 0.3rem;
}

/* Po zaznaczeniu: ciemne wypełnienie */
.woocommerce input[type="radio"]:checked + span::before {
	content: '\f00c';
	color: var(--color-2);
	font-size: 0.7rem;
	font-family: FontAwesome;
	line-height: 1.9;
	text-align: center;
	width: 1.5rem;
	height: 1.5rem;
	background-color: white;
	border: 1px solid var(--color-link);
	position: absolute;
	left: 0;
	top: 0.2rem;
	cursor: pointer;
	border-radius: 0.3rem;
}


.woocommerce-checkout-payment li, .woocommerce-shipping-methods li{
	padding: 1rem !important;
	background-color:#fff;
	border-radius: 0.5rem;
	
}


.cart-widget .checkout_coupon{
	display:block !important;
}

.thank-you-page .woocommerce{
	width:100%
}

.order-status{
	border-radius: 0.5rem;
	padding: 0.4rem 0.8rem;
	font-size: 0.8rem;
	margin-top: 0.3rem;
	display: inline-block;
}

.order-status.on-hold{
	color:#fff;
	background-color:red;
}

.order-status.completed{
	color:#fff;
	background-color:green;
}

.order-status.refunded{
	color:#fff;
	background-color:green;
}


.order-status.processing{
	color:#fff;
	background-color:blue;
}


.order-status.pending{
	color:#fff;
	background-color:orange;
}

.order-status.cancelled{
	color:#fff;
	background-color:red;
}

.order-status.failed{
	color:#fff;
	background-color:red;
}





.arrow-toggle{
	background: url("../img/arrow-black.svg");
    background-size: auto;
	background-size: contain;
	background-repeat: no-repeat;
	border: none;
	width: 1.5rem;
	height: 1.5rem;
	margin: 0;
	position: absolute;
	top: 50%;
	right: 0;
	transform: translate(-50%, -50%) rotate(-90deg);
	cursor:pointer;
}


.arrow-toggle.active{
	transform: translate(-50%, -50%) rotate(90deg);
}

.woocommerce-MyAccount-content .order-box{
	margin-bottom:1.5rem;
}

.woocommerce-MyAccount-content .order-box:last-child{
	margin-bottom:0;
}


.woocommerce-MyAccount-content .order-details .order-section{
	position:relative;
}

.woocommerce-MyAccount-content .order-details .order-section >  div{
	padding:1rem 1rem 1rem 3rem;
	
}
.woocommerce-MyAccount-content .order-details .order-section:before{
	content:'';
    width: 1.5rem;
	height: 1.5rem;
    position: absolute;
	top: 1.5rem;
	left: 1.5rem;
}


.woocommerce-MyAccount-content .order-details .order-section-shipping:before{
	background: url("../img/delivery.svg");
	background-size: auto;
	background-size: contain;
	background-repeat: no-repeat;
	
}


.woocommerce-MyAccount-content .order-details .order-section-address:before{
	background: url("../img/map.svg");
	background-size: auto;
	background-size: contain;
	background-repeat: no-repeat;
	
}


.woocommerce-MyAccount-content .order-details .order-section-payments:before{
	background: url("../img/payment.svg");
	background-size: auto;
	background-size: contain;
	background-repeat: no-repeat;
	
}


.woocommerce-MyAccount-content .order-details .order-section-billing-address:before{
	background: url("../img/billing.svg");
	background-size: auto;
	background-size: contain;
	background-repeat: no-repeat;
	
}


.show-password-input{
	display:none;
}

.navigation-account{
	background-color:#ffffff;
}

.navigation-account .slick-list {
	width: 100%;
}

.product-quantity .quantity .quantity{
	margin:0 !important;
}

.entry-summary .promo-code{
	background-color:#000;
	color:#fff;
	display: inline-block;
	padding: 0.5rem 1rem;
	margin-bottom:1rem;
	border-radius:0.3rem;
}

.entry-summary .promo-code p{
	margin:0;
	display: inline-block;
	
}


.product .new-badge{
	background-color:var(--color-2);
	color:#fff;
}

.product .promo-badge{
	
	background-color:var(--color-1);
	color:#fff;
	
}

.product .extra-badge{
	background-color:#e3bfa5;
	color:#000;
}


.product .badge{
	padding:0.4rem 0.8rem;
	border-radius: 0;
	font-size: 0.9rem;
	text-transform:uppercase;
	font-weight:400;
	display: inline-block;
	line-height:1;
	
}


.product .badge.new-badge{
	border:1px solid var(--color-2);
}


.product .badge.extra-badge{
	border:1px solid #e3bfa5;
}

.product .content-badge .badge{
	margin-right:0.5rem;
	margin-bottom:0.5rem;
}



.product .content-badge .badge:first-child{
	
}

article .product .content-badge{
	width: auto;
	position: absolute;
	max-width:100%;
	top:0;
	left:0;
}

.product .woocommerce-product-gallery__wrapper{
	position:relative;
	display:inline-block;
}

.product .woocommerce-product-gallery__wrapper .content-badge{
	position:absolute;
	top:1rem;
	left:1rem;
	z-index:2;
}



input#coupon_code{
	background-color: #f5fdfe;
}


.price-summary span{
	font-weight:700;
}